Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# common_structures::graph_array< nodetype, arctype >::node Class Reference

`#include <graph_array.h>`

List of all members.

## Public Member Functions
node & | mark ()
node & | unmark ()
bool | marked () const
bool | out_empty () const
size_t | number_of_out_arcs () const
out_arc_iterator | out_begin ()
out_arc_iterator | out_end ()
const_out_arc_iterator | out_begin () const
const_out_arc_iterator | out_end () const
nodetype & | operator * ()
nodetype * | operator-> ()
const nodetype & | operator * () const
const nodetype * | operator-> () const
nodetype & | operator= (const nodetype &Elem)
## Protected Member Functions
| node ()
## Protected Attributes
std::list< arc > | m_OutArcs
nodetype | m_Elem
bool | m_Marker
## Friends
class | graph_array< nodetype, arctype >
class | std::vector< node >

### template<class nodetype, class arctype>
class common_structures::graph_array< nodetype, arctype >::node

## Constructor & Destructor Documentation

template<class nodetype, class arctype>
common_structures::graph_array< nodetype, arctype >::node::node | ( |  | ) | `[inline, protected]`

## Member Function Documentation

template<class nodetype, class arctype>
node& common_structures::graph_array< nodetype, arctype >::node::mark | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
bool common_structures::graph_array< nodetype, arctype >::node::marked | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
size_t common_structures::graph_array< nodetype, arctype >::node::number_of_out_arcs | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
const nodetype& common_structures::graph_array< nodetype, arctype >::node::operator * | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
nodetype& common_structures::graph_array< nodetype, arctype >::node::operator * | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
const nodetype* common_structures::graph_array< nodetype, arctype >::node::operator-> | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
nodetype* common_structures::graph_array< nodetype, arctype >::node::operator-> | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
nodetype& common_structures::graph_array< nodetype, arctype >::node::operator= | ( | const nodetype & | Elem | ) | `[inline]`

template<class nodetype, class arctype>
const_out_arc_iterator common_structures::graph_array< nodetype, arctype >::node::out_begin | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
out_arc_iterator common_structures::graph_array< nodetype, arctype >::node::out_begin | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
bool common_structures::graph_array< nodetype, arctype >::node::out_empty | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
const_out_arc_iterator common_structures::graph_array< nodetype, arctype >::node::out_end | ( |  | ) | const`[inline]`

template<class nodetype, class arctype>
out_arc_iterator common_structures::graph_array< nodetype, arctype >::node::out_end | ( |  | ) | `[inline]`

template<class nodetype, class arctype>
node& common_structures::graph_array< nodetype, arctype >::node::unmark | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

template<class nodetype, class arctype>
friend class graph_array< nodetype, arctype >`[friend]`

template<class nodetype, class arctype>
friend class std::vector< node >`[friend]`

## Member Data Documentation

template<class nodetype, class arctype>
nodetype common_structures::graph_array< nodetype, arctype >::node::m_Elem`[protected]`

template<class nodetype, class arctype>
bool common_structures::graph_array< nodetype, arctype >::node::m_Marker`[protected]`

template<class nodetype, class arctype>
std::list<arc> common_structures::graph_array< nodetype, arctype >::node::m_OutArcs`[protected]`

The documentation for this class was generated from the following file:

- graph_array.h